Flutter Doctor is Not Working

Flutter Doctor is Not Working

Recently I've started playing with Flutter. It's a UI toolkit for creating natively compiled mobile, web and desktop apps from a single codebase. Flutter is made by Google and it's a solid and elegant system. Flutter uses Dart as a programming language.

Flutter plays nicely with Visual Studio Code and if you've used VS Code before you know how pleasant it is. With Flutter, you could be running the compiled app on your device in less than 10 minutes. No kidding.

I'm not sure when it happened but VS Code started updating Flutter and it starting throwing this type of error.

'PowerShell.exe' is not recognized as an internal or external command, operable program or batch file. Error: Unable to update Dart SDK. Retrying...

This does not look very good but in reality the problem is very simple: your PATH variable is screwed up. This may happens after you install or uninstall an app with a lame installer. Luckily, a solution to this problem is super simple. You just need to at the following line to your PATH environment variable.

%SystemRoot%\system32\WindowsPowerShell\v1.0\

Restart Visual Studio Code so that it takes the updated PATH variable.